com.ihr.xbrl.om

## Enum ZipCascadeURIResolver.ZipPackage.CaseType

- java.lang.Object
- - java.lang.Enum<ZipCascadeURIResolver.ZipPackage.CaseType>
  - - com.ihr.xbrl.om.ZipCascadeURIResolver.ZipPackage.CaseType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ZipCascadeURIResolver.ZipPackage.CaseType>
  Enclosing class:
    ZipCascadeURIResolver.ZipPackage

      public static enum ZipCascadeURIResolver.ZipPackage.CaseType
      extends java.lang.Enum<ZipCascadeURIResolver.ZipPackage.CaseType>

  The Enum CaseType.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `insensitive` The insensitive.
    `sensitive` The sensitive.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ZipCascadeURIResolver.ZipPackage.CaseType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ZipCascadeURIResolver.ZipPackage.CaseType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### sensitive

          public static final ZipCascadeURIResolver.ZipPackage.CaseType sensitive

      The sensitive.

    - #### insensitive

          public static final ZipCascadeURIResolver.ZipPackage.CaseType insensitive

      The insensitive.

  - ### Method Detail

    - #### values

          public static ZipCascadeURIResolver.ZipPackage.CaseType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ZipCascadeURIResolver.ZipPackage.CaseType c : ZipCascadeURIResolver.ZipPackage.CaseType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ZipCascadeURIResolver.ZipPackage.CaseType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null